PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PSortedListInfo Struct Reference

`#include <lists.h>`

Collaboration diagram for PSortedListInfo:
[legend]

## Public Member Functions
| PSortedListInfo ()
PSortedListElement * | Successor (PSortedListElement *node) const
PSortedListElement * | Predecessor (PSortedListElement *node) const
PSortedListElement * | OrderSelect (PSortedListElement *node, PINDEX index) const
PSortedListElement * | OrderSelect (PINDEX index) const
PINDEX | ValueSelect (PSortedListElement *node, const PObject &obj, PSortedListElement *&element) const
PINDEX | ValueSelect (const PObject &obj, PSortedListElement *&element) const
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes
PSortedListElement | nil
PSortedListElement * | m_root

## Constructor & Destructor Documentation

PSortedListInfo::PSortedListInfo | ( |  | ) |
| inline

## Member Function Documentation

PSortedListElement* PSortedListInfo::OrderSelect | ( | PSortedListElement * | node,
|  | PINDEX | index
| ) |  | const

Referenced by PSortedList< T >::begin(), and PSortedList< T >::rbegin().

PSortedListElement* PSortedListInfo::OrderSelect | ( | PINDEX | index | ) | const
| inline

References m_root, and OrderSelect().

Referenced by OrderSelect().

PSortedListInfo::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

PSortedListElement* PSortedListInfo::Predecessor | ( | PSortedListElement * | node | ) | const

PSortedListElement* PSortedListInfo::Successor | ( | PSortedListElement * | node | ) | const

PINDEX PSortedListInfo::ValueSelect | ( | PSortedListElement * | node,
|  | const PObject & | obj,
|  | PSortedListElement *& | element
| ) |  | const

PINDEX PSortedListInfo::ValueSelect | ( | const PObject & | obj,
|  | PSortedListElement *& | element
| ) |  | const
| inline

References m_root, and ValueSelect().

Referenced by ValueSelect().

## Member Data Documentation

PSortedListElement* PSortedListInfo::m_root

Referenced by OrderSelect(), and ValueSelect().

PSortedListElement PSortedListInfo::nil

The documentation for this struct was generated from the following file:

- lists.h